summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marco Bonetti2010-05-12 23:32:37 +0200
committer David Somero2010-05-12 23:32:37 +0200
commitd81303aa7234c9f146f863b4803781452dc997de (patch)
treed3264b913083b8e71fbc12ac73169fe10411a3a4 /network
parent34a7452794f960f3323607605ef839493d9d98a2 (diff)
downloadslackbuilds-d81303aa7234c9f146f863b4803781452dc997de.tar.gz
network/openvas-client: Added to 12.2 repository
Diffstat (limited to 'network')
-rw-r--r--network/openvas-client/README9
-rw-r--r--network/openvas-client/openvas-client.SlackBuild100
-rw-r--r--network/openvas-client/openvas-client.info8
-rw-r--r--network/openvas-client/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/network/openvas-client/README b/network/openvas-client/README
new file mode 100644
index 0000000000..0bebf56935
--- /dev/null
+++ b/network/openvas-client/README
@@ -0,0 +1,9 @@
+OpenVAS stands for Open Vulnerability Assessment System and is a network
+security scanner with associated tools like a graphical user front-end. The
+core component is a server with a set of network vulnerability tests (NVTs)
+to detect security problems in remote systems and applications.
+
+OpenVAS products are Free Software under GNU GPL and a fork of Nessus.
+
+This package provides the OpenVAS client. You need GTK libraries and
+OpenSSL are highly recommended, both of them are avalaible from Slackware.
diff --git a/network/openvas-client/openvas-client.SlackBuild b/network/openvas-client/openvas-client.SlackBuild
new file mode 100644
index 0000000000..47bf889206
--- /dev/null
+++ b/network/openvas-client/openvas-client.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for OpenVAS client.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=openvas-client
+VERSION=${VERSION:-2.0.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGES COPYING COPYING.OpenSSL COPYING.README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+# looks like they forgot something ;-)
+if [ -r ssl/openvasclient-mkrand ]; then
+ install -m 0755 ssl/openvasclient-mkrand $PKG/usr/bin/openvasclient-mkrand
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a libnessus/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.libnessus
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/openvas-client/openvas-client.info b/network/openvas-client/openvas-client.info
new file mode 100644
index 0000000000..cfcab6f61d
--- /dev/null
+++ b/network/openvas-client/openvas-client.info
@@ -0,0 +1,8 @@
+PRGNAM="openvas-client"
+VERSION="2.0.3"
+HOMEPAGE="http://www.openvas.org/"
+DOWNLOAD="http://wald.intevation.org/frs/download.php/575/openvas-client-2.0.3.tar.gz"
+MD5SUM="dfddebca8aa81b6136d84084a60203d3"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/network/openvas-client/slack-desc b/network/openvas-client/slack-desc
new file mode 100644
index 0000000000..b036738d68
--- /dev/null
+++ b/network/openvas-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+openvas-client: OpenVAS client (Open Vulnerability Assessment System client)
+openvas-client:
+openvas-client: OpenVAS stands for Open Vulnerability Assessment System and is a
+openvas-client: network security scanner with associated tools like a graphical user
+openvas-client: front-end. The core component is a server with a set of network
+openvas-client: vulnerability tests (NVTs) to detect security problems in remote
+openvas-client: systems and applications.
+openvas-client:
+openvas-client: OpenVAS products are Free Software under GNU GPL and a fork of Nessus.
+openvas-client:
+openvas-client: This package provides the OpenVAS client.